Bug 171172

Summary: [ATK] atk_table_get_n_rows() and atk_table_get_n_columns() should return values of aria-rowcount and aria-colcount, if present
Product: WebKit Reporter: Joanmarie Diggs (irc: joanie) <jdiggs>
Component: AccessibilityAssignee: Joanmarie Diggs (irc: joanie) <jdiggs>
Status: RESOLVED FIXED    
Severity: Normal CC: aboxhall, apinheiro, buildbot, cfleizach, commit-queue, dmazzoni, jcraig, rniwa, samuel_white, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: All   
OS: Linux   
Bug Depends on: 171475    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
Patch
none
Archive of layout-test-results from ews106 for mac-elcapitan-wk2 none

Description Joanmarie Diggs (irc: joanie) 2017-04-22 15:51:06 PDT
1. atk_table_get_n_rows() and atk_table_get_n_columns()
2. "rowcount" and "colcount" object attributes
Comment 1 Radar WebKit Bug Importer 2017-04-22 15:51:40 PDT
<rdar://problem/31775527>
Comment 2 Joanmarie Diggs (irc: joanie) 2017-05-04 08:52:40 PDT
Updating the summary because the object attributes are already done.
Comment 3 Joanmarie Diggs (irc: joanie) 2017-09-19 11:08:41 PDT
Created attachment 321216 [details]
Patch
Comment 4 chris fleizach 2017-09-20 09:15:00 PDT
Comment on attachment 321216 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=321216&action=review

> LayoutTests/platform/gtk/accessibility/aria-table-attributes-expected.txt:8
> +FAIL grid.rowCount should be 4. Was 30.

is it expected these are failures?
Comment 5 Joanmarie Diggs (irc: joanie) 2017-09-20 09:47:25 PDT
(In reply to chris fleizach from comment #4)
> Comment on attachment 321216 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=321216&action=review
> 
> > LayoutTests/platform/gtk/accessibility/aria-table-attributes-expected.txt:8
> > +FAIL grid.rowCount should be 4. Was 30.
> 
> is it expected these are failures?

Ugh. The updated value is right -- and not a failure. shouldBe() in tests will be the death of me.... Will do a new patch in a little while. Sorry for missing that and thanks for the review!
Comment 6 Joanmarie Diggs (irc: joanie) 2017-09-20 10:07:01 PDT
Created attachment 321326 [details]
Patch
Comment 7 Build Bot 2017-09-20 11:23:01 PDT
Comment on attachment 321326 [details]
Patch

Attachment 321326 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/4605342

New failing tests:
fast/images/animated-gif-webkit-transform.html
Comment 8 Build Bot 2017-09-20 11:23:03 PDT
Created attachment 321337 [details]
Archive of layout-test-results from ews106 for mac-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-elcapitan-wk2  Platform: Mac OS X 10.11.6
Comment 9 Joanmarie Diggs (irc: joanie) 2017-09-20 11:42:53 PDT
Comment on attachment 321326 [details]
Patch

(In reply to Build Bot from comment #7)
> Comment on attachment 321326 [details]
> Patch
> 
> Attachment 321326 [details] did not pass mac-wk2-ews (mac-wk2):
> Output: http://webkit-queues.webkit.org/results/4605342
> 
> New failing tests:
> fast/images/animated-gif-webkit-transform.html

I'm failing to understand how a change made in the ATK (WebKitGtk accessibility) code could cause a non-accessibility test for macOS to fail. If my patch is really to blame, hints/insight shall be gratefully accepted.

In the meantime, since the one shared accessibility test I tweaked is not showing up as a failure in macOS, setting r? and clearing the cq-.
Comment 10 WebKit Commit Bot 2017-09-20 12:30:19 PDT
Comment on attachment 321326 [details]
Patch

Clearing flags on attachment: 321326

Committed r222276: <http://trac.webkit.org/changeset/222276>
Comment 11 WebKit Commit Bot 2017-09-20 12:30:20 PDT
All reviewed patches have been landed.  Closing bug.